<!DOCTYPE html>
<html>
<head> 
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.6.4.js" integrity="sha256-a9jBBRygX1Bh5lt8GZjXDzyOB+bWve9EiO7tROUtj/E=" crossorigin="anonymous"></script>
</head>

<script>
  "use strict";
  $(document).ready(function(){
    /***Region 1 - Global varables*/

    /***Region 2 - Vừng gán / thực thi sự kiện cho các element*/
    $("#btn-kiem-tra-01").on("click",onBtnButton01Click);

    $("#btn-kiem-tra-02").on("click",onBtnButton02Click);

    $("#btn-red").on("click",onBtnButtonRedClick);

    $("#btn-yellow").on("click",onBtnButtonYellowClick);
    /***Region 3 - Event handlers - Vùng khái báo các hàm xử lý sự kiện*/
    //Hàm gọi khi bấm nút kiểm tra 01
    function onBtnButton01Click(){
      var vElementInpVoucher = $("#voucher-01");
      var vValueVoucher = vElementInpVoucher.val();
      console.log("Id voucher 01: " + vElementInpVoucher.attr("id"));
      var vDivMaGiamGia01 = $("#ma-giam-gia-01");
      console.log("Id div 01: " + vDivMaGiamGia01.attr("id"));
      vDivMaGiamGia01.html(vValueVoucher);
    }
    //Hàm gọi khi bấm nút kiểm tra 02
    function onBtnButton02Click(){
      var vElementInpVoucher = $("#voucher-02");
      
      console.log("Id voucher 02: " + vElementInpVoucher.attr("id"));
      var vDivMaGiamGia02 = $("#ma-giam-gia-02");
      var vValueMaGiamGia02 = vDivMaGiamGia02.text();
      console.log("Id div 02: " + vDivMaGiamGia02.attr("id"));
      vElementInpVoucher.val(vValueMaGiamGia02);
    }
    //Hàm gọi khi bấm nút red
    function onBtnButtonRedClick(){
      var vDivContent = $("#content-div");
      vDivContent.prop("style", "color: red");
    }
    //Hàm gọi khi bấm nút yellow
    function onBtnButtonYellowClick(){
      var vDivContent = $("#content-div");
      vDivContent.prop("style", "color: yellow");
    }
    /***Region 4 - Common function*/
  });
</script>

<body>
<div class="container">
  <h3>jQUERY BASIC METHODS</h3>
  <!-- Div voucher 01 -->
  <div id="voucher-form-01" class="row jumbotron">
    <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy giá trị ở ô Mã giảm giá và cho vào thẻ div id = "ma-giam-gia-01" <br>
        Gợi ý: sử dụng phương thức <span style="color: red;">.val() </span> để lấy giá trị của ô Text; <span style="color: red;">.html() </span> để thay đổi giá trị innerHTML
    </div>
    <div class="row form-group align-middle">
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-01" name="voucher" placeholder="Nhập mã giảm giá.." class="form-control">
      </div>
      <div class="col-sm-6 form-inline">
        <div id="ma-giam-gia-01">ma-giam-gia-01</div>
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-01">Kiểm tra 01</button>
    </div>
  </div>

  <!-- Div voucher 02 -->
  <div id="voucher-form-02" class="row jumbotron">
    <div class="row form-group">
      2) Khi ấn nút Kiểm tra 02, lấy giá trị ở trong thẻ div "ma-giam-gia-02" và cho vào ô text id = "voucher-02" <br>
      Gợi ý: sử dụng phương thức <span style="color: red;">.html() </span> hoặc <span style="color: red;">.text() </span> để lấy giá trị của thẻ div; <span style="color: red;">.val() </span> để thay đổi giá trị ô Text
    </div>
    <div class="row form-group">
      <div class="col-sm-6">
        <div id="ma-giam-gia-02">24864</div>
      </div>
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-02" name="voucher" placeholder="mã giảm giá.." class="form-control">
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-02">Kiểm tra 02</button>
    </div>
  </div>

  <!-- Div 2 button -->
  <div id="content-form" class="row jumbotron">
    <div class="row form-group">
      3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
    </div>
    <div class="row form-group">
      <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
    </div>
    <div class="form-group">
      <button class="btn btn-danger" id="btn-red">Màu đỏ</button>
      <button class="btn btn-warning" id="btn-yellow">Màu vàng</button>
    </div>
  </div>
</div>

</body>



</html>
